<template>
  <div v-loading="loading">
    <div class="white-box">
      <el-table ref="multipleTable" :data="tableData" stripe style="width: 100%;">
        <el-table-column prop="DEAL_TYPE_NAME" label="交易类型"></el-table-column>
        <el-table-column prop="DEDUCT_PV" label="交易额"></el-table-column>
        <el-table-column prop="REMARK" label="备注"></el-table-column>
        <el-table-column label="操作时间" width="200">
          <template slot-scope="scope">
            {{tool.formatDate(scope.row.CREATED_AT)}}
          </template>
        </el-table-column>
      </el-table>
      <div class="white-box-footer">
        <pagination :total="totalCount" :page_size="pageSize" @size-change="handleSizeChange"
                    @current-change="handleCurrentChange"></pagination>
      </div>
    </div>
  </div>
</template>

<script>
  import network from './../../utils/network'
  import tool from '@/utils/tool'
  import Pagination from '@/components/Pagination'

  export default {
    name: 'finance_reconsume-pool-flow',
    components: {Pagination},
    mounted() {
      this.getData()
    },
    data() {
      return {
        tableData: null,
        bonusDetailData: {},
        loading: true,
        currentPage: 1,
        totalPages: 1,
        totalCount: 1,
        pageSize: 20,
        tool: tool,
        filterData: null,
      }
    },
    methods: {
      handleCurrentChange(page) {
        this.getData(page, this.pageSize)
      },
      handleSizeChange(pageSize) {
        this.getData(this.currentPage, pageSize)
      },
      handleFilter(model) {
        this.filterData = model
        this.getData(1, this.pageSize)
      },
      getData(page, pageSize) {
        network.getPageData(this, 'finance/reconsume-pool-flow', page, pageSize, this.filterData, function (response) {

        })
      },
    }
  }
</script>

<style scoped>

</style>